DCMTK: dcmtk::log4cplus::TTCCLayout Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
List of all members
dcmtk::log4cplus::TTCCLayout Class Reference

TTCC layout format consists of time, thread, Logger and nested diagnostic context information, hence the name. More...

Inheritance diagram for dcmtk::log4cplus::TTCCLayout:

## Detailed Description

TTCC layout format consists of time, thread, Logger and nested diagnostic context information, hence the name.

The time format depends on the `DateFormat` used. Use the `Use_gmtime` to specify whether messages should be logged using `localtime` or `gmtime`.

Here is an example TTCCLayout output:

    176 [main] INFO  org.apache.log4j.examples.Sort - Populating an array of 2 elements in reverse order.
    225 [main] INFO  org.apache.log4j.examples.SortAlgo - Entered the sort method.
    262 [main] DEBUG org.apache.log4j.examples.SortAlgo.OUTER i=1 - Outer loop.
    276 [main] DEBUG org.apache.log4j.examples.SortAlgo.SWAP i=1 j=0 - Swapping intArray[0] = 1 and intArray[1] = 0
    290 [main] DEBUG org.apache.log4j.examples.SortAlgo.OUTER i=0 - Outer loop.
    304 [main] INFO  org.apache.log4j.examples.SortAlgo.DUMP - Dump of integer array:
    317 [main] INFO  org.apache.log4j.examples.SortAlgo.DUMP - Element [0] = 0
    331 [main] INFO  org.apache.log4j.examples.SortAlgo.DUMP - Element [1] = 1
    343 [main] INFO  org.apache.log4j.examples.Sort - The next log statement should be an error message.
    346 [main] ERROR org.apache.log4j.examples.SortAlgo.DUMP - Tried to dump an uninitialized array.
    467 [main] INFO  org.apache.log4j.examples.Sort - Exiting main method.

The first field is the number of milliseconds elapsed since the start of the program. The second field is the thread outputting the log statement. The third field is the LogLevel, the fourth field is the logger to which the statement belongs.

The fifth field (just before the '-') is the nested diagnostic context. Note the nested diagnostic context may be empty as in the first two statements. The text after the '-' is the message of the statement.

PatternLayout offers a much more flexible alternative.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/layout.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2